Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.resources
Interface IProjectNatureDescriptor

public interface IProjectNatureDescriptor

A project nature descriptor contains information about a project nature obtained from the plug-in manifest (`plugin.xml`) file.

Nature descriptors are platform-defined objects that exist independent of whether that nature's plug-in has been started. In contrast, a project nature's runtime object (`IProjectNature`) generally runs plug-in-defined code.

This interface is not intended to be implemented by clients.

Since:
  2.0
See Also:
  `IProjectNature`, `IWorkspace.getNatureDescriptor(String)`

Method Summary
`String` | `getLabel()` Returns a displayable label for this nature.
`String` | `getNatureId()` Returns the unique identifer of this nature.
`String[]` | `getNatureSetIds()` Returns the identifiers of the nature sets that this nature belongs to.
`String[]` | `getRequiredNatureIds()` Returns the unique identifiers of the natures required by this nature.
`boolean` | `isLinkingAllowed()` Returns whether this project nature allows linked resources to be created in projects where this nature is installed.

Method Detail

### getNatureId

    public String getNatureId()

  Returns the unique identifer of this nature.

  The nature identifier is composed of the nature's plug-in id and the simple id of the nature extension. For example, if plug-in `"com.xyz"` defines a nature extension with id `"myNature"`, the unique nature identifer will be `"com.xyz.myNature"`.

  Returns:
    the unique nature identifier

### getLabel

    public String getLabel()

  Returns a displayable label for this nature. Returns the empty string if no label for this nature is specified in the plug-in manifest file.

  Note that any translation specified in the plug-in manifest file is automatically applied.

  Returns:
    a displayable string label for this nature, possibly the empty string

### getRequiredNatureIds

    public String[] getRequiredNatureIds()

  Returns the unique identifiers of the natures required by this nature. Nature requirements are specified by the `"requires-nature"` element on a nature extension. Returns an empty array if no natures are required by this nature.

  Returns:
    an array of nature ids that this nature requires, possibly an empty array.

### getNatureSetIds

    public String[] getNatureSetIds()

  Returns the identifiers of the nature sets that this nature belongs to. Nature set inclusion is specified by the `"one-of-nature"` element on a nature extension. Returns an empty array if no nature sets are specified for this nature.

  Returns:
    an array of nature set ids that this nature belongs to, possibly an empty array.

### isLinkingAllowed

    public boolean isLinkingAllowed()

  Returns whether this project nature allows linked resources to be created in projects where this nature is installed.

  Returns:
    boolean `true` if creating links is allowed, and `false` otherwise.
  Since:
    2.1
  See Also:
    `IFolder.createLink(org.eclipse.core.runtime.IPath, int, org.eclipse.core.runtime.IProgressMonitor)`, `IFile.createLink(org.eclipse.core.runtime.IPath, int, org.eclipse.core.runtime.IProgressMonitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.